## NAME

CURLOPT_MAXREDIRS - maximum number of redirects allowed

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_MAXREDIRS, long amount);

## DESCRIPTION

Pass a long. The set number will be the redirection limit amount. If that many redirections have been followed, the next redirect will cause an error (CURLE_TOO_MANY_REDIRECTS). This option only makes sense if the CURLOPT_FOLLOWLOCATION is used at the same time.

Setting the limit to 0 will make libcurl refuse any redirect.

Set it to -1 for an infinite number of redirects.

## DEFAULT

-1, unlimited

## PROTOCOLS

HTTP(S)

## EXAMPLE

    curl = curl_easy_init();
    if(curl) {
      curl_easy_setopt(curl, CURLOPT_URL, "http://example.com/");

      /* enable redirect following */
      curl_easy_setopt(curl, CURLOPT_FOLLOWLOCATION, 1L);

      /* allow three redirects */
      curl_easy_setopt(curl, CURLOPT_MAXREDIRS, 3L);

      /* Perform the request */
      curl_easy_perform(curl);
    }

## AVAILABILITY

Along with HTTP

## RETURN VALUE

Returns CURLE_OK if HTTP is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_FOLLOWLOCATION

This HTML page was made with roffit.